/*
                      General List Control Callbacks

	For additional standard handling of common GtkCList key and
	pointer events, used for middle click pan-scrolling and other
	such features.
 */

#ifndef EDV_LIST_CB_H
#define EDV_LIST_CB_H

#include <gtk/gtk.h>


extern gint EDVCListKeyEventCB(
	GtkWidget *widget, GdkEventKey *key, gpointer data
);
extern gint EDVCListButtonEventCB(
	GtkWidget *widget, GdkEventButton *button, gpointer data
);
extern gint EDVCListMotionEventCB(
	GtkWidget *widget, GdkEventMotion *motion, gpointer data
);


extern gint EDVTListButtonEventCB(
	GtkWidget *widget, GdkEventButton *button, gpointer data
);
extern gint EDVTListMotionEventCB(
	GtkWidget *widget, GdkEventMotion *motion, gpointer data
);


#endif	/* EDV_LIST_CB_H */
